Ultimate Traffic Forums Homepage
Forum Home Forum Home > Ultimate Traffic Live > General Discussion - Non Support Topics Only
  New Posts New Posts RSS Feed - Compatible with P3D v4.5?
  FAQ FAQ  Forum Search   Register Register  Login Login

Compatible with P3D v4.5?

 Post Reply Post Reply
Author
Message
rogiermaas View Drop Down
Licensed Member
Licensed Member


Joined: May-18-2019
Location: EHLE
Points: 4
Post Options Post Options   Thanks (0) Thanks(0)   Quote rogiermaas Quote  Post ReplyReply Direct Link To This Post Topic: Compatible with P3D v4.5?
    Posted: May-18-2019 at 4:36pm
Hi,

I have just moved from FSX and all the products I bought for hundreds and hundreds of Euros to P3D v4.5. I am convinced this is the product I want for my v4.5 version of P3D but I want to be SURE UT Live is compatible with v4.5. All I see is that it is compatible with P3D4. I'm not sure that means it is compatible with all versions within the v4 branche. Could somebody confirm this product is compatible? Thanks!

Rogier
Back to Top
pgde View Drop Down
Licensed Member
Licensed Member


Joined: January-01-2011
Location: Tucson, AZ
Points: 338
Post Options Post Options   Thanks (0) Thanks(0)   Quote pgde Quote  Post ReplyReply Direct Link To This Post Posted: May-19-2019 at 11:22am
Yes it is.
Gigabyte Z97X-UD5H-BK,Blk Ed MB;Intel I7-4790K CPU;16 Gb G.Skill RAM (F3-2400); Win7 Pro; 2 - Samsung 1Tb SSDs; Toshiba 3Tb hard drive; Gigabyte Aorus 1080ti Extreme 11Gb VRAM.
Back to Top
rogiermaas View Drop Down
Licensed Member
Licensed Member


Joined: May-18-2019
Location: EHLE
Points: 4
Post Options Post Options   Thanks (0) Thanks(0)   Quote rogiermaas Quote  Post ReplyReply Direct Link To This Post Posted: May-19-2019 at 11:33am
* clicking on ‘Add to Cart’

Thanks!
Back to Top
 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down

Forum Software by Web Wiz Forums® version 11.10
Copyright ©2001-2017 Web Wiz Ltd.

This page was generated in 0.094 seconds.